Subject: [homenet] [Errata Verified] RFC7788 (4677)

From: RFC Errata System <[email-masked]>
Date: Thu, 12 May 2016 10:38:32 -0700 (PDT)

The following errata report has been verified for RFC7788,
"Home Networking Control Protocol". 

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=7788&eid=4677

--------------------------------------
Status: Verified
Type: Technical

Reported by: Tim Wicinski <[email-masked]>
Date Reported: 2016-04-26
Verified by: Terry Manderson (IESG)

Section: 8

Original Text
-------------
A network-wide
   zone is appended to all single labels or unqualified zones in order
   to qualify them. ".home" is the default; however, an administrator
   MAY configure the announcement of a Domain-Name TLV (Section 10.6)
   for the network to use a different one.

Corrected Text
--------------
A network-wide zone is appended to all single labels or unqualified 
zones in order to qualify them. A default value for this TLV MUST be 
set, although the default value of the Domain-Name TLV (Section 10.6) 
is out of scope of this document, and an administrator MAY configure 
the announcement of a Domain-Name TLV for the network.

Notes
-----
It may appear that the use of the label ".home" is unofficially assigning this to be added to the Special Use Domain Registry. That registry can only be updated using the process outlined in RFC6761, therefore the text identifying ".home" as the default network-wide zone is in error.

It is unclear of the IESG and the IETF in publishing this proposed standard if the intent was to use ".home" as an example or placeholder until a name can be reserved.

AD Note: A default label is a requirement for HNCP and its interoperability. As such the Homenet chosen label, ".home", is a strong candidate for the RFC6761 process. The WG will be directed to follow this process and seek (again) the consensus on the ".home" label and work with other IETF WGs as appropriate.

--------------------------------------
RFC7788 (draft-ietf-homenet-hncp-10)
--------------------------------------
Title               : Home Networking Control Protocol
Publication Date    : April 2016
Author(s)           : M. Stenberg, S. Barth, P. Pfister
Category            : PROPOSED STANDARD
Source              : Home Networking
Area                : Internet
Stream              : IETF
Verifying Party     : IESG